#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: foldl
version: 1.4.5
id: foldl-1.4.5-BmhjPSoKZiAGLKUSL0lNgA
key: foldl-1.4.5-BmhjPSoKZiAGLKUSL0lNgA
license: BSD-3-Clause
copyright: 2013 Gabriel Gonzalez
maintainer: Gabriel439@gmail.com
author: Gabriel Gonzalez
synopsis: Composable, streaming, and efficient left folds
description:
    This library provides strict left folds that stream in constant
    memory, and you can combine folds using @Applicative@ style to derive new
    folds.  Derived folds still traverse the container just once and are often as
    efficient as hand-written folds.
category: Control
abi: 723b5d29d9a44d8c403518b228ec9c4f
exposed: True
exposed-modules:
    Control.Foldl Control.Foldl.ByteString Control.Foldl.Text
    Control.Scanl
hidden-modules: Control.Foldl.Optics Control.Foldl.Internal
import-dirs: /usr/lib/ghc-8.6.1/site-local/foldl-1.4.5
library-dirs: /usr/lib/ghc-8.6.1/site-local/foldl-1.4.5
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/x86_64-linux-ghc-8.6.1/foldl-1.4.5
hs-libraries: HSfoldl-1.4.5-BmhjPSoKZiAGLKUSL0lNgA
depends:
    base-4.12.0.0 bytestring-0.10.8.2
    comonad-5.0.4-Gg2EZ4OBRR53rLr1UGRkQ3 containers-0.6.0.1
    contravariant-1.5-4tjvhiNPMk29NhGPKE1GIF
    hashable-1.2.7.0-KHvCgUH7dIl7mI8fl4akIo
    mwc-random-0.14.0.0-CHYtJffaTqvHIHYnw7lP6P
    primitive-0.6.4.0-1mvPxVOk6Q6KOkWCZxqESf
    profunctors-5.3-AUW0bCu5vnKgpmUhJ4x00
    semigroupoids-5.3.1-4RiFDsmWRtjEyBLxIBalyl text-1.2.3.1
    transformers-0.5.5.0
    unordered-containers-0.2.9.0-8YwmaeVELNEGd3AzVghTJw
    vector-0.12.0.1-BKWaeB2IPwRDyZEP11mv5m
    vector-builder-0.3.6-1syingLJoc0ChHAGvxfMh
haddock-interfaces: /usr/share/doc/haskell-foldl/html/foldl.haddock
haddock-html: /usr/share/doc/haskell-foldl/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

